package com.liquidnet.common.third.zxlnft.dto.wallet;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: PubKey2AddressReq
 * @Package com.liquidnet.common.third.zxlnft.bean.wallet
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/17 16:38
 */
@Data
public class PubKey2AddressReq implements Serializable {
    private static final long serialVersionUID = -5649539789013646099L;
    private String pubKey;

    private static final PubKey2AddressReq obj = new PubKey2AddressReq();
    public static PubKey2AddressReq getNew() {
        try {
            return (PubKey2AddressReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new PubKey2AddressReq();
        }
    }
}
